sonar.projectKey=${env.SONAR_PROJECT_KEY}
sonar.projectVersion=${env.SONAR_PROJECT_VERSION}
sonar.qualitygate.wait=true
sonar.sources=./src/
sonar.inclusions=**/interactors/*.ts, **/implementations/*.ts, **/rest/*.ts
sonar.exclusions=**/*.test.*, **/*.spec.*, **/*interceptor*, **/*.module.*, **/product.service.ts, **/transform-product.service.ts, **/mongoose-config.service.ts, **/*event.service.ts, **/api-config.service.ts, **/*http.service.ts,**/*.schema.ts, **/magento-config.service.ts, **/cache-manager.service.ts, **/product-filters.service.ts, **/transform-product.service.ts
sonar.coverage.exclusions=**/*.test.*, **/*.spec.*, **/*interceptor*, **/*.module.*, **/product.service.ts, **/transform-product.service.ts, **/mongoose-config.service.ts, **/*event.service.ts, **/api-config.service.ts, **/*http.service.ts,**/*.schema.ts, **/magento-config.service.ts, **/cache-manager.service.ts, **/product-filters.service.ts, **/transform-product.service.ts
sonar.tests.inclusions=./test/**/*.test.*, ./test/**/*.spec.*
sonar.javascript.lcov.reportPaths=./coverage/lcov.info
sonar.testExecutionReportPaths=./coverage/test-report.xml
